Name:		photocollage
Summary:	Graphical tool to make photo collage posters 
Summary(ru_RU.UTF-8):	Графический инструмент для создания плакатов с фотоколлажами
Group:		Graphics
Version:	1.4.5
Release:	1
License:	GPL-2.0
Source0:	https://github.com/adrienverge/PhotoCollage/archive/refs/tags/v%{version}.tar.gz?/PhotoCollage-%{version}.tar.gz
Source1:        gtkgui.py
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	hicolor-icon-theme
Requires:	python3-pillow
Requires:	python3-cairo
Requires:	python3-gobject
Requires:	python3-six
Requires:	python3-gi-cairo

%description
PhotoCollage allows you to create photo collage posters. 
It assembles the input photographs it is given to generate a big poster. 
Photos are automatically arranged to fill the whole poster, 
then you can change the final layout, dimensions, border or 
swap photos in the generated grid. Eventually the final poster 
image can be saved in any size.

%description -l ru_RU.UTF-8
Photo Collage позволяет создавать плакаты-коллажи. Программа объединяет
исходные фотографии, которые были предоставлены для создания большого плаката. Фотографии
автоматически размещаются таким образом, чтобы заполнить весь плакат, после чего вы можете изменить
окончательный макет, размеры, границы или поменять местами фотографии в созданной сетке.
В конечном итоге окончательное изображение плаката может быть сохранено в любом размере.

%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/photocollage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
#---------------------------------------------------
%prep
%autosetup -p1 -n PhotoCollage-%{version}

%build
%py3_build

%install
# py3_install macro not install lang files
%{__python3} setup.py install -O1 --root %{buildroot}
# file Replacement
cp %{SOURCE1} %{buildroot}%{python3_sitelib}/%{name}/gtkgui.py

%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
